summaryrefslogtreecommitdiff
path: root/dev-python/pydocstyle
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/pydocstyle')
-rw-r--r--dev-python/pydocstyle/Manifest1
-rw-r--r--dev-python/pydocstyle/metadata.xml25
-rw-r--r--dev-python/pydocstyle/pydocstyle-5.0.2.ebuild36
3 files changed, 62 insertions, 0 deletions
diff --git a/dev-python/pydocstyle/Manifest b/dev-python/pydocstyle/Manifest
new file mode 100644
index 000000000000..efa1ceaa89d2
--- /dev/null
+++ b/dev-python/pydocstyle/Manifest
@@ -0,0 +1 @@
+DIST pydocstyle-5.0.2.tar.gz 68063 BLAKE2B 6d7bf04e97c853e50d953342d332847d0e80b080d5ab044f9d444536ed0352ad44402a1af0c3a6f552ec9f3bb3a372a84af2a5bbdaee58bb18dab585cad5dddb SHA512 5ac2e017ae95ff5c7759d6a2cb9ac990f94f668f5fd940792d927cc62628cd036afcf39ab5db6a11100dcca32af344b47f4a7319dd3a47c36367844d0c06d34a
diff --git a/dev-python/pydocstyle/metadata.xml b/dev-python/pydocstyle/metadata.xml
new file mode 100644
index 000000000000..a9889c0970eb
--- /dev/null
+++ b/dev-python/pydocstyle/metadata.xml
@@ -0,0 +1,25 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Gentoo Python Project</name>
+ </maintainer>
+ <maintainer type="person">
+ <email>monsieurp@gentoo.org</email>
+ <name>Patrice Clement</name>
+ </maintainer>
+ <maintainer type="person">
+ <email>andrewammerlaan@riseup.net</email>
+ <name>Andrew Ammerlaan</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">PyCQA/pydocstyle</remote-id>
+ <remote-id type="pypi">pydocstyle</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-python/pydocstyle/pydocstyle-5.0.2.ebuild b/dev-python/pydocstyle/pydocstyle-5.0.2.ebuild
new file mode 100644
index 000000000000..5d439c03ab4f
--- /dev/null
+++ b/dev-python/pydocstyle/pydocstyle-5.0.2.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7} )
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Python docstring style checker"
+HOMEPAGE="https://github.com/PyCQA/pydocstyle/"
+SRC_URI="https://github.com/PyCQA/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 x86"
+
+RDEPEND="dev-python/snowballstemmer[${PYTHON_USEDEP}]"
+
+DEPEND="test? (
+ dev-python/pytest-pep8[${PYTHON_USEDEP}]
+ dev-python/mypy[${PYTHON_USEDEP}]
+ dev-python/tox[${PYTHON_USEDEP}] )"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs dev-python/sphinx_rtd_theme dev-python/sphinxcontrib-issuetracker
+
+src_prepare() {
+ default
+
+ # These tests call pip.
+ # pip install fails because we are not allowed to do that inside an ebuild.
+ rm ${S}/src/tests/test_integration.py || die
+}